## org.apache.batik.dom.svg
Class AbstractSVGAnimatedValue

    java.lang.Object
      org.apache.batik.dom.svg.AbstractSVGAnimatedValue

All Implemented Interfaces:
  AnimatedLiveAttributeValue, LiveAttributeValue

Direct Known Subclasses:
  AbstractSVGAnimatedLength, SVGOMAnimatedBoolean, SVGOMAnimatedEnumeration, SVGOMAnimatedInteger, SVGOMAnimatedLengthList, SVGOMAnimatedMarkerOrientValue, SVGOMAnimatedNumber, SVGOMAnimatedNumberList, SVGOMAnimatedPathData, SVGOMAnimatedPoints, SVGOMAnimatedPreserveAspectRatio, SVGOMAnimatedRect, SVGOMAnimatedString, SVGOMAnimatedTransformList

    public abstract class AbstractSVGAnimatedValue

extends java.lang.Object
implements AnimatedLiveAttributeValue

An abstract base class for the `SVGAnimated*` classes, that implements an `AnimatedAttributeListener` list.

Field Summary
`protected AbstractElement` `element` The associated element.
`protected boolean` `hasAnimVal` Whether there is a current animated value.
`protected java.util.LinkedList` `listeners` Listener list.
`protected java.lang.String` `localName` The local name of the attribute.
`protected java.lang.String` `namespaceURI` The namespace URI of the attribute.

Constructor Summary
`AbstractSVGAnimatedValue(AbstractElement elt, java.lang.String ns, java.lang.String ln)` Creates a new AbstractSVGAnimatedValue.

Method Summary
`void` `addAnimatedAttributeListener(AnimatedAttributeListener aal)` Adds a listener for changes to the animated value.
`protected void` `fireAnimatedAttributeListeners()` Fires the listeners for the animated value.
`protected void` `fireBaseAttributeListeners()` Fires the listeners for the base value.
`java.lang.String` `getLocalName()` Returns the local name of the attribute.
`java.lang.String` `getNamespaceURI()` Returns the namespace URI of the attribute.
`boolean` `isSpecified()` Returns whether this animated value has a specified value.
`void` `removeAnimatedAttributeListener(AnimatedAttributeListener aal)` Removes a listener for changes to the animated value.
`protected abstract void` `updateAnimatedValue(AnimatableValue val)` Updates the animated value with the given `AnimatableValue`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.batik.dom.svg.AnimatedLiveAttributeValue
`getUnderlyingValue`

Methods inherited from interface org.apache.batik.dom.svg.LiveAttributeValue
`attrAdded, attrModified, attrRemoved`

Field Detail

### element

    protected AbstractElement element

  The associated element.

### namespaceURI

    protected java.lang.String namespaceURI

  The namespace URI of the attribute.

### localName

    protected java.lang.String localName

  The local name of the attribute.

### hasAnimVal

    protected boolean hasAnimVal

  Whether there is a current animated value.

### listeners

    protected java.util.LinkedList listeners

  Listener list.

Constructor Detail

### AbstractSVGAnimatedValue

    public AbstractSVGAnimatedValue(AbstractElement elt,
                                    java.lang.String ns,
                                    java.lang.String ln)

  Creates a new AbstractSVGAnimatedValue.

Method Detail

### getNamespaceURI

    public java.lang.String getNamespaceURI()

  Returns the namespace URI of the attribute.

  Specified by:
    `getNamespaceURI` in interface `AnimatedLiveAttributeValue`

### getLocalName

    public java.lang.String getLocalName()

  Returns the local name of the attribute.

  Specified by:
    `getLocalName` in interface `AnimatedLiveAttributeValue`

### isSpecified

    public boolean isSpecified()

  Returns whether this animated value has a specified value.

  Returns:
    true if the DOM attribute is specified or if the attribute has an animated value, false otherwise

### updateAnimatedValue

    protected abstract void updateAnimatedValue(AnimatableValue val)

  Updates the animated value with the given `AnimatableValue`.

### addAnimatedAttributeListener

    public void addAnimatedAttributeListener(AnimatedAttributeListener aal)

  Adds a listener for changes to the animated value.

  Specified by:
    `addAnimatedAttributeListener` in interface `AnimatedLiveAttributeValue`

### removeAnimatedAttributeListener

    public void removeAnimatedAttributeListener(AnimatedAttributeListener aal)

  Removes a listener for changes to the animated value.

  Specified by:
    `removeAnimatedAttributeListener` in interface `AnimatedLiveAttributeValue`

### fireBaseAttributeListeners

    protected void fireBaseAttributeListeners()

  Fires the listeners for the base value.

### fireAnimatedAttributeListeners

    protected void fireAnimatedAttributeListeners()

  Fires the listeners for the animated value.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.